# -*- coding: utf-8 -*-

# Script Mapping for Devanagari

VowelMap =  [
            '\u0B85',
            '\u0B86',
            '\u0B87',
            '\u0B88',
            '\u0B89',
            '\u0B8A',
            '#',
            '#',
            '#',
            '#',
            '\u0B8F',
            '\u0B90',
            '\u0B93',
            '\u0B94',
            ]

SouthVowelMap = [
                '\u0B8E',
                '\u0B92',
                ]

ModernVowelMap = [
                 '\u0B8F\u0363',
                 '\u0B85\u0366'
                 ]

SinhalaVowelMap = [
                  '#'
]

IPAVowelMap = [
                  '\u0B85\u033C',
                  '\u0B85ழ்\u1DE3',

                  '\u0B85\u1DD4',
                  '\u0B86\u1DE7',
                  '\u0B85\u0363',
                  '\u0B85\u0363\u0304',


                  '\u0B88\u0306',
                  'உ்',

                  '\u0B8A\u0306',
                  '\u0B89\u032D',
                  '\u0B8A\u032D',

                  '\u0B8E\u0304',
                  '\u0B8F\u0306',
                  '\u0B8E\u0364',
                  '\u0B8F\u0364',

                  '\u0B86\u1DED',
                  '\u0B85\u1DF2',

                  '\u0B92\u0364',
                  '\u0B93\u0364',
                  '\u0B92\u1DF3',
                  '\u0B93\u1DF3',

                  ]

VowelSignMap =  [
                '\u0BBE',
                '\u0BBF',
                '\u0BC0',
                '\u0BC1',
                '\u0BC2',
                '#',
                '#',
                '#',
                '#',
                '\u0BC7',
                '\u0BC8',
                '\u0BCB',
                '\u0BCC',
                ]

SouthVowelSignMap = [
                    '\u0BC6',
                    '\u0BCA',
                    ]

ModernVowelSignMap =[
                    '\u0BC7\u0363',
                    '\u0BBE\u0366'
                    ]

SinhalaVowelSignMap = [
                      '#'
]

IPAVowelSignMap = [
                       '\u033C',
                       'ழ்\u1DE3',

                       '\u0BBE\u1DD4',
                       '\u0BBE\u1DE7',
                       '\u0BBE\u0363',
                       '\u0BBE\u0363\u0304',


                      '\u0BBF\u0306',
                        'ு்',

                      '\u0BC2\u0306',
                      '\u0BC1\u032D',
                      '\u0BC2\u032D',

                      '\u0BC6\u0304',
                      '\u0BC7\u0306',
                      '\u0BC6\u0364',
                      '\u0BC7\u0364',

                      '\u0BBE\u1DED',
                      '\u0BBE\u1DF2',
                      '\u0BCA\u0364',
                      '\u0BCB\u0364',
                      '\u0BCA\u1DF3',
                      '\u0BCB\u1DF3'
                      ]

AyogavahaMap = [
               '\u0BA9\U00011301',
               '\u0BA9\U00011301\u02BD',
               '꞉' # Modifying letter colon for Visarga
               ]

ViramaMap =  [
             '\u0BCD'
             ]

ConsonantMap =  [
                '\u0B95\u1DDC',
                '\u0BB9\u1DDC',
                '\u0B95\u1DDA',
                '#',
                '\u0B99',

                '\u0B9A\u0368\u036A',
                '#',
                '\u0B9C',
                '#',
                '\u0B9E',

                '\u0B9F',
                '#',
                '\u0B9F',
                '#',
                '\u0BA3',

                '\u0BA4\u036d',
                '#',
                '\u0BA4\u0369',
                '#',
                '\u0BA8',

                '\u0BAA\u1DEE',
                '\u0BB9\u1DEE',
                '\u0BAA\u1DE8',
                '#',
                '\u0BAE',

                '\u0BAF',
                '\u0BB0',
                '\u0BB2',
                '\u0BB5',

                '\u0BB6',
                '\u0BB7',
                '\u0BB8',
                '\u0BB9'
                ]

SouthConsonantMap = [
                    '#',
                    '#',
                    'ற',
                    '\u0BA9'
                    ]

NuktaConsonantMap =  [
                     '#',
                     '\u0B95\u036F',
                     '\u0B95\u1DDB',
                     '\u0B9C\u1DE6',
                     '#',
                     '#',
                     '\u0BAA\u1DEB',
                     '#'
                     ]

SinhalaConsonantMap =[
                     '#',
                     '#',
                     '#',
                     '#',
                     '#',
                      ]

IPAConsonantMap =[
                     '\u0B9F\u036D\u036A',
                     '\u0BB9\u036D\u036A',
                     '\u0B9F\u1DD9',
                     '\u0BB5\u1DF1',
                     '\u0BB5\u1DEB',
                     '\u0BA4\u036D\u036A',
                     '\u0BA4\u1DD9',
                     '\u0BB0\u1DE3',
                     '\u0BB7\u1DE6',
                     '\u0BB5\u1DE8',
                     '\u0B9C\u1DDA',
                     '\u0B9C\u1DDB',
                     '\u0BB1\u036A',
                     '\u0BB9\u036F',
                     '\u0BB7\u036A'
                      ]

NuktaMap = [
           '\u00B7'
           ]

OmMap = [
        '\u0BD0'
        ]

SignMap =[
         '\u0028\u0B85\u0029',
         '\u0964',
         '\u0965'
         ]

Aytham =['\u0B83']

NumeralMap = [
             '\u0BE6',
             '\u0BE7',
             '\u0BE8',
             '\u0BE9',
             '\u0BEA',
             '\u0BEB',
             '\u0BEC',
             '\u0BED',
             '\u0BEE',
             '\u0BEF'
             ]